Problemas com vídeos no Firefox/Iceweasel [Resolvido]

Publicado por Marco Brainiac em 03/10/2012

[ Hits: 9.904 ]

 


Problemas com vídeos no Firefox/Iceweasel [Resolvido]



Olá amigos linuxers.

Após algumas semanas de desespero e depressão por não conseguir solucionar um problema de configuração no Flash Player, consegui resolver e quero compartilhar com vocês.

Como podem ver no link final, o Flash Player aparecia nos plugins do Firefox, mas no teste da Adobe ou nos sites Terra, iG, UOL, YouTube... não abriam.

Tentei inúmeras vezes no Debian Squeeze, mudei para o Wheezy, SolusOS e por fim, para o LMDE (Linux Mint Debian Edition). Pretendo voltar ao SolusOS, e quando tiver o Wheezy estável, pretendo usá-lo.

Hoje, num momento de luz e paciência, revi as dicas do amigo Edps, que sempre muito solícito, tentou ajudar, mas naquele dia foi em vão, cabeça cheia.

Hoje, de "cuca fresca", consegui. Vejam os passos.

Antes de tudo, não precisa fazer o download do Flash Player, apenas copiem o que já tem se já for atual. Escolham o "flash-mozilla.so", que equivale ao mais atual (neste momento da dica). Aqui escolhi o menos atual, por engano, mas funcionou também.

Passos

Quando o Flash "dá pau":

1. Ver se tem a pasta /home/seu_usuário/.mozilla/plugins. Se não tiver, vá em /home/seu_usuário/.mozilla, e crie a pasta:

cd /home/seu_usuário/.mozilla/
$ mkdir plugins


2. Ir na pasta "mozilla", em
/usr/lib/mozilla/plugins (e logar como root):

sudo su
# cd /usr/lib/mozilla/plugins


3. Copiar ("flash-mozilla.so", ou "libflashplayer.so") para pasta /home/brainiac/.mozilla/plugins:

# cp libflashplayer.so /home/seu_usuário/.mozilla/plugins

Ou, usar o comando mv, que elimina o passo 4.

4. Apagar o Flash que já foi copiado:

# rm libflashplayer.so

Pronto. Iniciar o navegador e verificar.

A dica deve servir para Debian e derivados (SolusOS e LMDE), sendo que funcionou no LMDE MATE perfeitamente.

Link do tópico:
Agradecimentos aos sempre solícitos amigos Edps, Andrecalcanhas e mcnd2.

Abraços.

Outras dicas deste autor

Debian 7 Wheezy - Preparo pós-instalação

Configurando navegador padrão via terminal no Debian

Adicionando plugin Gecko Media Player ao Firefox

Java no Debian e derivados - Atualização via repositório

Adicionando plugins ao K3b - Suporte a MP3 e outros recursos

Leitura recomendada

Plugins, Codecs e Softwares Proprietários com o Autoplus

Problemas com autenticação no AD do Windows utilizando SuSE

Aviso de problemas por causa do Typora [Resolvido]

Erro: 'locale: Cannot Set LC_ALL' no Slackware [Resolvido]

Criando atalhos no menu em dois métodos no Debian7

  

Comentários
[1] Comentário enviado por mbrainiac em 03/10/2012 - 11:34h

Pessoal,

Fiz alguns testes e vi que o FlashPlayer de 2012 está com problemas.

Usem este de 2011, que irá funcionar.

http://www.4shared.com/archive/Nz9n3iM-/install_flash_player_11_linuxi.html

Coloquei num linuxmint de 64bits e este de 32bits funcionou numa boa.

Abraço

[2] Comentário enviado por mbrainiac em 03/10/2012 - 11:36h

O Atual chrome vem com o flashplayer de 2011

O Opera funciona bem com o atual.

Firefox e Icewaesel não estão aceitando o flash 2012

[3] Comentário enviado por pinduvoz em 03/10/2012 - 23:32h

No Chrome o problema com o flash resulta do fato dele reconhecer e habilitar dois "flash" (seria "flashes"?), o próprio e o do Firefox.

A solução é eliminar um deles via página de configuração "about:plugins". Vejam a imagem:

http://i.imgur.com/tQdRR.png

É só clicar em "desativar" na versão mais antiga, mantendo a mais nova (o pepper flash).

Na imagem, a minha "segunda versão" já está desativada.

[4] Comentário enviado por mbrainiac em 04/10/2012 - 00:24h

OI André, beleza?

Qto ao chrome na versão stable o plugin que vem nele é o de 2011, não sei bem qual mas tem uma versão que vinha sem flash e qdo instalei o atual de 2012 ele travou.

Eu verifiquei tudo isto nisso que falou digitar about plugins, plugin de 2012 trava, não funcionou com o único plugin de 2012.


Percebi que ocorria o mesmo com o Firefox/iceweasel, simplesmente não funcionava com o flash de 2012, assim que coloquei a versão 2011 funcionou perfeito.


Opera tb não funcionou com o flashplayer de 2012 qdo testei no SolusOS só rodou com o 2011
/usr/lib/opera/plugins o arquivo do flash de extensão .so

[5] Comentário enviado por albfneto em 05/10/2012 - 22:10h

Dica favoritada, porque atual e importante.
Flash player é importante, e os para linux estáo terminando

[6] Comentário enviado por mbrainiac em 05/10/2012 - 22:41h

Valeu Albfneto,

Obrigado pela visita, foi só desta forma que consegui ver sites com Flash que ainda são maioria atualmente como Terra, Ig, Uol, Youtube...

Ficar sem youtube não dá, aprendi muito de linux por lá, dentre outras coisas.

O novo chrome vem com o flashplayer de 2011 instalado, pq será?

Bom fim de semana


[7] Comentário enviado por PaulitoMenezes em 09/10/2014 - 23:20h

Ola sera que podem me ajudar ,eu instalei o wattOS R8 , ai tem o iceweasel , eu não consigo ver video nenhum só aparece aquela foto do video ai quando clica no play some e nao aparece nada ,eu ja tentei apt-get install flashplayer-nonfree mas dis que ta atualizado .vi que tem um jeito de baixar e depois instalar mas não consegui .essa é a primeira ves com linux estou aprendendo usar o terminal , ja fiz um upgrade iceweasel e ai baixou e instalou um monte de coisa , mas mesmo assim não roda video algum se alguem tiver uma opiniao para que eu mude de Sistema Operacional eu aceito pois estou tentando ressucitar meu atlom 1.2 com 1G ram (smente 1 SO no hd) o Kurumin não consegui pois no meio da instalaçao a tela desliga !! alguem pode ajudar ? se não, eu tambem agradeço .

[8] Comentário enviado por mbrainiac em 09/10/2014 - 23:54h


[7] Comentário enviado por PaulitoMenezes em 09/10/2014 - 23:20h:

Ola sera que podem me ajudar ,eu instalei o wattOS R8 , ai tem o iceweasel , eu não consigo ver video nenhum só aparece aquela foto do video ai quando clica no play some e nao aparece nada ,eu ja tentei apt-get install flashplayer-nonfree mas dis que ta atualizado .vi que tem um jeito de baixar e depois instalar mas não consegui .essa é a primeira ves com linux estou aprendendo usar o terminal , ja fiz um upgrade iceweasel e ai baixou e instalou um monte de coisa , mas mesmo assim não roda video algum se alguem tiver uma opiniao para que eu mude de Sistema Operacional eu aceito pois estou tentando ressucitar meu atlom 1.2 com 1G ram (smente 1 SO no hd) o Kurumin não consegui pois no meio da instalaçao a tela desliga !! alguem pode ajudar ? se não, eu tambem agradeço .



Este ai é Debian like? Senão tem que preparar um outro o repositório dele


acho que falta o w32codec 32 bits ou w64codec 64 bits.

Entre neste link e copie:

http://www.vivaolinux.com.br/dica/Debian-7-Wheezy-Preparo-pos-instalacao
Plugins
MP3 plugin:

# apt-get install gstreamer0.10-plugins-ugly

MP3Gain (normalizar seus MP3):

# apt-get install mp3gain

Depois, instale o front "easyMP3Gain":

http://sourceforge.net/projects/easymp3gain/?source=dlp


w32codecs, para PCs 32 bits:

# wget http://www.deb-multimedia.org/pool/main/libd/libdvdcss/libdvdcss2_1.2.13-dmo1_i386.deb
# dpkg -i libdvdcss2_1.2.13-dmo1_i386.deb

w64codecs, para PCs 64 bits:

# wget http://www.deb-multimedia.org/pool/non-free/w/w64codecs/w64codecs_20071007-dmo2_amd64.deb
# dpkg -i w64codecs_20071007-dmo2_amd64.deb

Referência: MultimediaCodecs - Debian Wiki

Plugins para multimídia, áudio e vídeo:

# apt-get install libdvdcss2 gstreamer0.10-plugins-base gstreamer0.10-plugins-good gstreamer0.10-plugins-ugly gstreamer0.10-plugins-bad gstreamer0.10-fluendo-mp3 ffmpeg sox twolame vorbis-tools lame faad mencoder soundconverter

Referência: Jeito Linux: Instalação de Codecs de audio e video

# apt-get install ffmpeg ffmpeg2theora mencoder libqt4-core libqt4-gui

[9] Comentário enviado por mbrainiac em 09/10/2014 - 23:56h

Pode acreditar o meu PC é inferior ao seu e roda bem o Debian 7 KDE

[10] Comentário enviado por mbrainiac em 10/10/2014 - 00:00h


[7] Comentário enviado por PaulitoMenezes em 09/10/2014 - 23:20h:

Ola sera que podem me ajudar ,eu instalei o wattOS R8 , ai tem o iceweasel , eu não consigo ver video nenhum só aparece aquela foto do video ai quando clica no play some e nao aparece nada ,eu ja tentei apt-get install flashplayer-nonfree mas dis que ta atualizado .vi que tem um jeito de baixar e depois instalar mas não consegui .essa é a primeira ves com linux estou aprendendo usar o terminal , ja fiz um upgrade iceweasel e ai baixou e instalou um monte de coisa , mas mesmo assim não roda video algum se alguem tiver uma opiniao para que eu mude de Sistema Operacional eu aceito pois estou tentando ressucitar meu atlom 1.2 com 1G ram (smente 1 SO no hd) o Kurumin não consegui pois no meio da instalaçao a tela desliga !! alguem pode ajudar ? se não, eu tambem agradeço .


Se não conseguir bota um Debian XFCE que ainda mais leve e roda que é uma beleza só eguir o esquema do link.

Mas acho que faltou no seu caso o w32codec



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts